summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJean-François Wauthy <pollux@xfce.org>2006-05-25 16:34:32 +0000
committerJean-François Wauthy <pollux@xfce.org>2006-05-25 16:34:32 +0000
commitf7fab20ea3ec16af1241c9fd7845348731d7dfd4 (patch)
tree0fb94c231f66d0081bcd4f8df3726f07704d511d /autogen.sh
parent3ecf7ec050c10c77ffd2931fa119c3669df45390 (diff)
downloadxfce4-appfinder-f7fab20ea3ec16af1241c9fd7845348731d7dfd4.tar.gz
* add LINGUAS support
* update svn:ignore (Old svn revision: 21837)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 1ae36e0..b0bf71a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -18,6 +18,22 @@ EOF
exit 1
}
+# verify that po/LINGUAS is present
+(test -f po/LINGUAS) >/dev/null 2>&1 || {
+ cat >&2 <<EOF
+autogen.sh: The file po/LINGUAS could not be found. Please check your snapshot
+ or try to checkout again.
+EOF
+ exit 1
+}
+
+# substitute revision and linguas
+linguas=`sed -e '/^#/d' po/LINGUAS`
+revision=`LC_ALL=C svn info $0 | awk '/^Revision: / {printf "%05d\n", $2}'`
+sed -e "s/@LINGUAS@/${linguas}/g" \
+ -e "s/@REVISION@/${revision}/g" \
+ < "configure.in.in" > "configure.in"
+
exec xdt-autogen $@
# vi:set ts=2 sw=2 et ai: